# TSGetKSP

Returns the KSP (linear solver) associated with a TS (timestepper) context.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetKSP(TS ts,KSP *ksp)

Not Collective, but KSP is parallel if TS is parallel

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

ksp -the nonlinear solver context

### Notes

The user can then directly manipulate the KSP context to set various options, etc. Likewise, the user can then extract and manipulate the KSP and PC contexts as well.

TSGetKSP() does not work for integrators that do not use KSP; in this case TSGetKSP() returns PETSC_NULL in ksp.

### Keywords

timestep, get, KSP

Level:beginner
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages